import Flutter
import UIKit


public class SwiftMopubPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let viewType = "mopub_banner_view"
    let channel = FlutterMethodChannel(name: "mopub", binaryMessenger: registrar.messenger())
    let instance = SwiftMopubPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)

    registrar.register(
                NativeViewFactory(messenger: registrar.messenger()),
                withId: viewType
            )
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    switch call.method {
            case "initialize":
                // https://developers.google.com/admob/ios/test-ads#enable_test_devices
                // **iOS simulators are automatically configured as test devices.**
                // GADMobileAds.sharedInstance().requestConfiguration.testDeviceIdentifiers = ["You're physical iDevice Id"]
                //init all Advertising libs

                //GADMobileAds.sharedInstance().start { (status: GADInitializationStatus) in
                //    print("iOS Admob status: \(status.adapterStatusesByClassName)")
                //}

                let sdkConfig = MPMoPubConfiguration(adUnitIdForAppInitialization: "ce1230a15d644e529f30e93d6ca28e30")
                MoPub.sharedInstance().initializeSdk(with: sdkConfig) {
                }


                break
            case "loadBanner":
                break
            default:
                result(FlutterMethodNotImplemented)
            }
  }
}
